( cd usr/lib ; rm -rf libmate-window-settings.so.1 )
( cd usr/lib ; ln -sf libmate-window-settings.so.1.0.0 libmate-window-settings.so.1 )
( cd usr/lib ; rm -rf libmate-window-settings.so )
( cd usr/lib ; ln -sf libmate-window-settings.so.1.0.0 libmate-window-settings.so )
( cd usr/lib ; rm -rf libslab.so.0 )
( cd usr/lib ; ln -sf libslab.so.0.0.0 libslab.so.0 )
( cd usr/lib ; rm -rf libslab.so )
( cd usr/lib ; ln -sf libslab.so.0.0.0 libslab.so )

doinst() {
# update the mime desktop database
if [ -x /usr/bin/update-desktop-database ]; then
	/usr/bin/update-desktop-database -q
fi
# update the mime database
if [ -x /usr/bin/update-mime-database ]; then
	/usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
fi
# compile schemas
if [ -x /usr/bin/glib-compile-schemas ]; then
	/usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas > /dev/null 2>&1
fi
}
doinst
